- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QUndoCommand Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qundostack.h.

`#include <qundostack.h>`

List of all members.

## Public Member Functions
| QUndoCommand (QUndoCommand *parent=0)
| QUndoCommand (const QString &text, QUndoCommand *parent=0)
virtual | ~QUndoCommand ()
virtual void | undo ()
virtual void | redo ()
QString | text () const
void | setText (const QString &text)
virtual int | id () const
virtual bool | mergeWith (const QUndoCommand *other)
int | childCount () const
const QUndoCommand * | child (int index) const
## Friends
class | QUndoStack

## Constructor & Destructor Documentation

QUndoCommand | ( | QUndoCommand * | parent = `0` | ) | `[explicit]`

QUndoCommand | ( | const QString & | text,
|  | QUndoCommand * | parent = `0`
| ) |  | `[explicit]`

virtual ~QUndoCommand | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void undo | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void redo | ( |  | ) | `[virtual]`

Search for all occurrences

QString text | ( |  | ) | const

Search for all occurrences

void setText | ( | const QString & | text | ) |

Search for all occurrences

virtual int id | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual bool mergeWith | ( | const QUndoCommand * | other | ) | `[virtual]`

Search for all occurrences

int childCount | ( |  | ) | const

Search for all occurrences

const QUndoCommand* child | ( | int | index | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QUndoStack `[friend]`

Search for all occurrences

Definition at line 83 of file qundostack.h.

The documentation for this class was generated from the following file:

- QtGui/qundostack.h

QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand
QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand QUndoCommand